# -*- rpm-spec -*-
# $Id: gl-117,v 1.8 2002/10/16 09:08:37 grigory Exp $

%define gamesdir %_prefix/games

Name: gl-117
Version: 1.3
Release: alt1

Summary: GL-117 is an action flight simulator written in C++ and OpenGL
License: GPL
Group: Games/Other
URL: http://home.t-online.de/home/Primetime./gl-117/gl-117.htm

Source0: %name-%version-src.tar.bz2
Source1: %name
Source2: conf.example
Source11:%name.16.xpm
Source12: %name.32.xpm
Source13: %name.48.xpm

Patch0: %name-gl.patch
Patch1: %name-%version.configure.patch

BuildRequires: automake_1.7

# Automatically added by buildreq on Tue Dec 16 2003
BuildRequires: XFree86-devel-static XFree86-libs aalib esound gcc-c++ hostinfo libGLU-devel libSDL-devel libSDL_mixer-devel libglut-devel libstdc++-devel

%description
GL-117 is an action flight simulator written in C++ and OpenGL

%prep
%setup -q -n %name-%version-src
%patch0 -p1
%patch1 -p1

%build 
LDFLAGS="$LDFLAGS -L%_x11libdir" export LDFLAGS
%configure 
%make_build

%install 
%__mkdir_p %buildroot{%_bindir,%gamesdir,%_datadir/%name/{models,music,sounds,textures}}
%__install -m 0755 src/%name %buildroot%gamesdir/%name.bin
%__install -m 0755 %SOURCE1 %buildroot/%_bindir/%name
%__install -m 0644 %SOURCE2 %buildroot%_datadir/%name/
%__install -m 0644 models/*.3ds %buildroot%_datadir/%name/models/
%__install -m 0644 music/*.s3m %buildroot%_datadir/%name/music/
%__install -m 0644 sounds/*.wav %buildroot%_datadir/%name/sounds/
%__install -m 0644 textures/*.tga %buildroot%_datadir/%name/textures/
%__chmod 0644 doc/*.pdf AUTHORS COPYING ChangeLog INSTALL NEWS README

# Menu                                                                                              
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):\
needs="x11"\
section="Amusement/Arcade"\
title="%name"\
longtitle="GL-117 is an action flight simulator"\
command="%name"\
icon="%name.xpm"

EOF

# Icons                                                                                             
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
install -m 644 %SOURCE11 $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
install -m 644 %SOURCE12 $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
install -m 644 %SOURCE13 $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc doc/*.pdf AUTHORS COPYING ChangeLog INSTALL NEWS README
%dir %_datadir/%name
%gamesdir/*
%_bindir/%name
%_datadir/%name
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Tue Jun 29 2004 Alexander Belov <asbel@altlinux.ru> 1.3-alt1
- version 1.3

* Tue Dec 16 2003 Alexander Belov <asbel@altlinux.ru> 1.1-alt1
- new version

* Wed Sep 16 2003 Alexander Belov <asbel@altlinux.ru> 1.0-alt1
- new version
- menu icon added

* Wed Oct 16 2002 Grigory Milev <week@altlinux.ru> 0.7.5-alt1
- new version released
- move binaryes to /usr/games

* Tue Jun 25 2002 Grigory Milev <week@altlinux.ru> 0.4.5-alt4
- added docs

* Tue Jun 25 2002 Grigory Milev <week@altlinux.ru> 0.4.5-alt3
- fixed default conf path
- cleanup source codes
- added startup script for:
	creating home dir
	default conf file
	starting game frought soundwrapper

* Tue Jun 25 2002 Grigory Milev <week@altlinux.ru> 0.4.5-alt2
- fixed path to shared files

* Tue Jun 25 2002 Grigory Milev <week@altlinux.ru> 0.4.5-alt1
- Initial build for ALT Linux distribution.



